header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 64px;
    display: grid;
    grid-template-columns: 160px 110px 1fr 270px;
    gap: 16px;
    align-items: center;
    justify-items: center;
    padding: 0 16px;
    box-sizing: border-box;
    background-color: white;
    z-index: 100;
}
header::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    z-index: -1;
}

.ghost-header {
    height: 64px;
}

header > .logo-container {
    width: 100%;
}
header > .logo-container > img {
    width: 100%;
}

header > .menu-container {
    display: flex;
    align-items: center;
}
header > .menu-container > a {
    font-family: Rubik, sans-serif;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 0.1em;
    padding: 0 12px;
    transition: color 0.2s ease-in-out;
}
header > .menu-container > a.active {
    color: #f25b3c;
}
header > .menu-container > a:hover {
    color: #159ede;
}

header > .donate-container {
    justify-self: end;
}

header > .burger-container {
    display: none;
    cursor: pointer;
    width: 100%;
    height: 32px;
    grid-template-rows: 1fr 1fr 1fr;
    gap: 6px;
}
header > .burger-container > * {
    position: relative;
    top: 0;
    width: 100%;
    background-color: #f25b3c;
    transition: transform 0.2s ease-in-out, top 0.2s ease-in-out, opacity 0.2s ease-in-out;
}

header.open > .burger-container > *:nth-child(1) {
    top: 12px;
    transform: rotate(45deg);
}
header.open > .burger-container > *:nth-child(2) {
    opacity: 0;
}
header.open > .burger-container > *:nth-child(3) {
    top: -12px;
    transform: rotate(-45deg);
}

@media (max-width: 800px) {
    header {
        grid-template-columns: 160px 110px 1fr 38px;
    }
    header > .menu-container {
        position: fixed;
        top: -200px;
        left: 0;
        display: flex;
        flex-direction: column;
        background-color: #f9c21a;
        width: 100%;
        transition: top 0.2s ease-in-out;
        z-index: -2;
    }
    header.open > .menu-container {
        top: 64px;
    }
    header > .menu-container > a {
        font-size: 16px;
        padding: 16px 0;
    }
    header > .burger-container {
        display: grid;
    }
    header > .donate-container {
        justify-self: end;
        margin-right: 32px;
    }
}

@media (max-width: 600px) {
    header {
        grid-template-columns: 128px 110px 1fr 38px;
    }
    header > .burger-container {
        grid-column: 4 / 5;
    }
    header > .donate-container {
        display: none;
    }
}

@media (max-width: 400px) {
    header {
        grid-template-columns: 80px 60px 1fr 38px;
    }
}